# Fdutils

## Linux floppy utilities

## Edition 5.1, for Fdutils version 5.1

## Apr 1997

# Introduction

Fdutils is a collection of utililties for configuring and using the Linux floppy driver. With fdutils, you can:

1. Format disks with a higher capacity than usual (up to 1992KB on a 3 1/2 HD disk).
2. Reconfigure the autodetection sequence to automatically detect some of these extended formats.
3. Access various internal driver structures and drive configuration using the floppycontrol program.

This manual describes these utilities, and also the floppy driver itself.

- Introduction
- Where to get fdutils and its documentation
- Basic usage
  - How disks are organized
  - File systems supported by Linux
  - What's in a name
  - What to do if you get an unidentified floppy disk
  - Nickel tours
    - mtools
    - Tar (Tape ARchive)
    - CPIO (CoPy In/Out)
  - Ext2 (Second Extended File System)
  - New Features of 1.2+ kernels
    - New features of 1.2+ kernels
    - New features of mtools-3.0
    - New Utilities
- Device numbers
  - Variable format devices
  - Fixed format devices
  - The geometry list
  - Adding new formats
- Media description
  - Introduction
  - Syntax
    - Selecting the density
    - Selecting the number of cylinders, heads and sectors
    - Selecting non-standard sector sizes
    - Legacy formats
    - Expert options
  - The media description dictionary in /etc/fdmediaprm
- Drive descriptions
  - Syntax
    - Density
    - Form factor
    - Cmos code
    - Other parameters
  - The drive definition file in ``/usr/local/etc/fddriveprm'`
- Storing more data on a floppy disk
  - More sectors per cylinder
  - Using interleave
  - Sector skewing
  - More Cylinders
  - Larger sectors
  - Mixed sector size (MSS) formats
  - Smart use of the data transfer rate
  - 2M formats
  - XDF formats
  - XXDF formats
- How autodetection works
  - Example
- Configuring the floppy driver via lilo or insmod
- Floppy ioctls
- Command list
  - diskd
    - Warning
    - Options
    - Bugs
  - diskseekd
    - Options
    - Bugs
  - fdmount
    - Options
    - Security
    - Daemon mode
    - Diagnostics
    - Bugs
  - fdrawcmd
    - Options
    - Commands
      - Commands available on all FDCs
      - Commands available on 82072 and later
      - Commands available on 82072A and later
      - Commands available on 82077 and later
      - Commands available on 82077AA and later
      - Commands available on 82078
    - Modes
  - floppycontrol
    - General Options
    - One time actions
    - Printing current settings
    - Drive type configuration and autodetection
    - Configuration of the disk change line
    - Timing Parameters
    - Debugging messages
    - Error Handling Options
    - Write error reporting
    - Other drive configuration options
  - floppymeter
    - Bugs
  - getfdprm
  - makefloppies
    - Options
    - Bugs
  - setfdprm
    - Options
    - Bugs
  - superformat
    - Common Options
    - Advanced Options
    - Sector skewing options
    - Examples
    - Troubleshooting
    - Bugs
  - xdfcopy
    - Options
      - Selecting a format
    - Misc options
    - Options for power users
- Compile-time configuration via GNU autoconf
- Acronyms
- Interesting formats
- Command Index
- Concept index

This document was generated on 1 Febuary 1999 using the texi2html translator version 1.54.